org.apache.jmeter.visualizers

## Class RequestPanel

- java.lang.Object
- - org.apache.jmeter.visualizers.RequestPanel

    public class RequestPanel
    extends Object

Manipulate all classes which implements request view panel interface and return a super panel with a bottom tab list of this classes

### Constructor Summary

Constructors
Constructor and Description
`RequestPanel()` Find and instantiate all classes that extend RequestView and Create Request Panel

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clearData()` Clear data in all request view
`JPanel` `getPanel()`
`void` `setSamplerResult(SampleResult samplerResult)` Put SamplerResult in all request view

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RequestPanel

    public RequestPanel()

Find and instantiate all classes that extend RequestView and Create Request Panel

### Method Detail

#### clearData

    public void clearData()

Clear data in all request view

#### setSamplerResult

    public void setSamplerResult(SampleResult samplerResult)

Put SamplerResult in all request view

Parameters:
  `samplerResult` - The `SampleResult` to be put in all `RequestView`s

#### getPanel

    public JPanel getPanel()

Returns:
  a tabbed panel for view request